/*
 * Color/Palette handling
 */

#ifndef HR_COLORS
#define HR_COLORS
extern struct hr_color{
	int colors;
	unsigned char *index;
}dummy_color;

extern struct hr_palette{
	int flags;
	unsigned char *color_flags;
	unsigned char *palette_store;
}dummy_palette;


extern int hr_get_color_index(struct hr_color *color,int i);
extern void hr_set_color_index(struct hr_color *color,int i,int newindex);
extern int hr_set_color(struct hr_palette *palette,int color,int flags);
extern void hr_rotate_colors(int mincol,int maxcol,int step);
extern int hr_first_free_color(struct hr_palette *palette);
extern struct hr_palette *hr_create_palette(int flags);
extern struct hr_palette *hr_delete_palette(struct hr_palette *palette);
extern void hr_store_palette(struct hr_palette *palette);
extern void hr_free_palette(struct hr_palette *palette);
extern void hr_use_palette(struct hr_palette *palette);
extern struct hr_color *hr_create_color_struct(int colors);
extern struct hr_color *hr_delete_color_struct();
#endif
